Upstream information

CVE-2018-1283 at MITRE

Description

In Apache httpd 2.4.0 to 2.4.29, when mod_session is configured to forward its session data to CGI applications (SessionEnv on, not the default), a remote user may influence their content by using a "Session" header. This comes from the "HTTP_SESSION" variable name used by mod_session to forward its data to CGIs, since the prefix "HTTP_" is also used by the Apache HTTP Server to pass HTTP header fields, per CGI specifications.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 3.5
Vector AV:N/AC:M/Au:S/C:N/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication Single
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.3 7.5
Vector AV:N/AC:H/PR:L/UI:N/S:U/C:N/I:H/A:N AV:N/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H
Access Vector Network Network
Access Complexity High High
Privileges Required Low Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None High
Integrity Impact High High
Availability Impact None High
SUSE Bugzilla entry: 1086814 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 12 SP1-LTSS
  • apache2 >= 2.4.16-20.16.1
  • apache2-doc >= 2.4.16-20.16.1
  • apache2-example-pages >= 2.4.16-20.16.1
  • apache2-prefork >= 2.4.16-20.16.1
  • apache2-utils >= 2.4.16-20.16.1
  • apache2-worker >= 2.4.16-20.16.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2018-593
SUSE Linux Enterprise Server 12 SP2-LTSS
  • apache2 >= 2.4.23-29.18.2
  • apache2-doc >= 2.4.23-29.18.2
  • apache2-example-pages >= 2.4.23-29.18.2
  • apache2-prefork >= 2.4.23-29.18.2
  • apache2-utils >= 2.4.23-29.18.2
  • apache2-worker >= 2.4.23-29.18.2
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-803
SUSE Linux Enterprise Server 12 SP3
  • apache2 >= 2.4.23-29.18.2
  • apache2-doc >= 2.4.23-29.18.2
  • apache2-example-pages >= 2.4.23-29.18.2
  • apache2-prefork >= 2.4.23-29.18.2
  • apache2-utils >= 2.4.23-29.18.2
  • apache2-worker >= 2.4.23-29.18.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-803
SUSE Linux Enterprise Server 12-LTSS
  • apache2 >= 2.4.10-14.31.1
  • apache2-doc >= 2.4.10-14.31.1
  • apache2-example-pages >= 2.4.10-14.31.1
  • apache2-prefork >= 2.4.10-14.31.1
  • apache2-utils >= 2.4.10-14.31.1
  • apache2-worker >= 2.4.10-14.31.1
Patchnames:
SUSE-SLE-SERVER-12-2018-602
SUSE Linux Enterprise Software Development Kit 12 SP3
  • apache2 >= 2.4.23-29.18.2
  • apache2-devel >= 2.4.23-29.18.2
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-803
SUSE Linux Enterprise for SAP 12 SP1
  • apache2 >= 2.4.16-20.16.1
  • apache2-doc >= 2.4.16-20.16.1
  • apache2-example-pages >= 2.4.16-20.16.1
  • apache2-prefork >= 2.4.16-20.16.1
  • apache2-utils >= 2.4.16-20.16.1
  • apache2-worker >= 2.4.16-20.16.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2018-593
SUSE Linux Enterprise for SAP 12 SP2
  • apache2 >= 2.4.23-29.18.2
  • apache2-doc >= 2.4.23-29.18.2
  • apache2-example-pages >= 2.4.23-29.18.2
  • apache2-prefork >= 2.4.23-29.18.2
  • apache2-utils >= 2.4.23-29.18.2
  • apache2-worker >= 2.4.23-29.18.2
Patchnames:
SUSE-SLE-SAP-12-SP2-2018-803
SUSE OpenStack Cloud 6
  • apache2 >= 2.4.16-20.16.1
  • apache2-doc >= 2.4.16-20.16.1
  • apache2-example-pages >= 2.4.16-20.16.1
  • apache2-prefork >= 2.4.16-20.16.1
  • apache2-utils >= 2.4.16-20.16.1
  • apache2-worker >= 2.4.16-20.16.1
Patchnames:
SUSE-OpenStack-Cloud-6-2018-593
SUSE OpenStack Cloud 7
  • apache2 >= 2.4.23-29.18.2
  • apache2-doc >= 2.4.23-29.18.2
  • apache2-example-pages >= 2.4.23-29.18.2
  • apache2-prefork >= 2.4.23-29.18.2
  • apache2-utils >= 2.4.23-29.18.2
  • apache2-worker >= 2.4.23-29.18.2
Patchnames:
SUSE-OpenStack-Cloud-7-2018-803
openSUSE Leap 42.3
  • apache2 >= 2.4.23-22.1
  • apache2-debuginfo >= 2.4.23-22.1
  • apache2-debugsource >= 2.4.23-22.1
  • apache2-devel >= 2.4.23-22.1
  • apache2-doc >= 2.4.23-22.1
  • apache2-event >= 2.4.23-22.1
  • apache2-event-debuginfo >= 2.4.23-22.1
  • apache2-example-pages >= 2.4.23-22.1
  • apache2-prefork >= 2.4.23-22.1
  • apache2-prefork-debuginfo >= 2.4.23-22.1
  • apache2-utils >= 2.4.23-22.1
  • apache2-utils-debuginfo >= 2.4.23-22.1
  • apache2-worker >= 2.4.23-22.1
  • apache2-worker-debuginfo >= 2.4.23-22.1
Patchnames:
openSUSE-2018-438


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise SDK 11 SP4 apache2 Not affected
SUSE Linux Enterprise SDK 12 SP2 apache2 In progress
SUSE Linux Enterprise SDK 12 SP3 apache2 Released
SUSE Linux Enterprise Server 11 SP3 LTSS apache2 Not affected
SUSE Linux Enterprise Server 11 SP4 apache2 Not affected
SUSE Linux Enterprise Server 12 GA LTSS apache2 Released
SUSE Linux Enterprise Server 12 SP1 LTSS apache2 Released
SUSE Linux Enterprise Server 12 SP2 apache2 In progress
SUSE Linux Enterprise Server 12 SP2 LTSS apache2 Released
SUSE Linux Enterprise Server 12 SP3 apache2 Released
SUSE Studio Onsite 1.3 apache2 Not affected